Bug 1005119 - The description of the Jenkins credentials env vars mismatch their values
The description of the Jenkins credentials env vars mismatch their values
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 05:14 EDT by Zhe Wang
Modified: 2015-05-14 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:49:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-09-06 05:14:01 EDT
Description of problem:
Given a Jenkins server app, the description of the env vars, JENKINS_USERNAME and JENKINS_PASSWORD, references the "Admin user on jenkins server" and "Admin user's password for jenkins server", but the values of these credentials are the system_builders.

We could either change the description about the env, or change the value of the env if jenkins build will not use this env to locate username ,password

Version-Release number of selected component (if applicable):
INT(devenv_3479)

How reproducible:
always

Steps to Reproduce:
1. create a Jenkins server
2. check the REST API of the app's Jenkins-1 cartridge
3. ssh into this app, and check the values of JENKINS_USERNAME, and JENKINS_PASSWORD

Actual results:
In step 2, the REST API describes the two env vars as "Admin user":

            {
                "description": "Admin user on jenkins server", 
                "name": "JENKINS_USERNAME", 
                "type": "environment"
            }, 
            {
                "description": "Admin user's password for jenkins server", 
                "name": "JENKINS_PASSWORD", 
                "type": "environment"
            }

But the values of these two env vars refers to system_builder, instead of admin:

JENKINS_PASSWORD=lX-VEXHMrXjI
JENKINS_USERNAME=system_builder

Expected results:
The description and values of the Jenkins env vars should match.

Additional info:
Comment 1 openshift-github-bot 2013-09-06 15:56:00 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/ac697c2beedb5e87aa51cdf0eabe6b1b14fbc0ef
Bug 1005119 - Updated manifest.yml text
Comment 2 Zhe Wang 2013-09-10 03:34:25 EDT
Verified in devenv_3762

            {
                "description": "User on jenkins server for automated builds", 
                "name": "JENKINS_USERNAME", 
                "type": "environment"
            }, 
            {
                "description": "Automated build user's password for jenkins server", 
                "name": "JENKINS_PASSWORD", 
                "type": "environment"
            }

Note You need to log in before you can comment on or make changes to this bug.